Bug 133995 - ccsd allows decimal version numbers but doesn't allow updates unless the base number is greater
Summary: ccsd allows decimal version numbers but doesn't allow updates unless the base...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: gfs   
(Show other bugs)
Version: 4
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Earl Brassow
QA Contact: GFS Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-28 20:59 UTC by Corey Marthaler
Modified: 2010-01-12 02:59 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-29 16:14:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Corey Marthaler 2004-09-28 20:59:59 UTC
Description of problem:
Currently ccsd allows the version number to be a decimal but won't
allow an update of a version number unless the base number increases. 

So, an update from V2.4 to V3.5 will work but an update from V3.5 to
V3.9 will fail.

I think an argument could be made that decimal versions numbers
shouldn't even be allowed but either way it has to be consistent. 

How reproducible:
Always

Comment 1 Jonathan Earl Brassow 2004-10-29 15:08:31 UTC
code now check to make sure the version # is a integer


Comment 2 Corey Marthaler 2004-10-29 16:14:40 UTC
fix verified.

Comment 3 Kiersten (Kerri) Anderson 2004-11-16 19:04:10 UTC
Updating version to the right level in the defects.  Sorry for the storm.


Note You need to log in before you can comment on or make changes to this bug.